- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.environments/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.environments/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.environments/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.environments/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.environments/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.environments/list#body.ListEnvironmentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.environments/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.environments/list#body.aspect_1)

**Full name**: projects.locations.instances.environments.list

Lists all Environments available in the instance. Includes the predefined Default Environment.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/environments`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list Environments for. Format: projects/{project}/locations/{location}/instances/{instance}/environments |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of Environments to return. The service may return fewer than this value. If unspecified, at most 50 Environments will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `environments.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of Environments. Supported filter fields: \* `displayName` \* `default` \* `system` \* `weight` \* `retentionDuration` \* `aliases` \* `dynamicParameters` \* `contact_title` \* `contactEmails` \* `contactPhone` \* `description` \* `weight` \* `retentionDuration` Example: `filter="displayName='some_name'"` |
| `orderBy` | `string` Optional. Configures ordering of Environments in the response. If not specified, Environments are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: \* `displayName` \* `default` \* `system` \* `weight` \* `retentionDuration` \* `aliases` \* `contact_title` \* `contactEmails` \* `contactPhone` \* `description` \* `weight` \* `retentionDuration` example: "displayName desc, system" |

### Request body

The request body must be empty.

### Response body

Response message for environments.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "environments": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.environments#Environment`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `environments[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.environments#Environment`)`` The list of Environments. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Total number of Environments includes filter without pagination. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.environments.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).